Bug 124135 - mime-type detection for custom ASCII types does not work
mime-type detection for custom ASCII types does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mime-data (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 08:59 EDT by Bryan Cole
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Cole 2004-05-24 08:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020618

Description of problem:
When adding a custom mime-type for an ASCII file-type, the file is
*always* mis-identified as text/plain.

In my case, I'm trying to set up correct mime-handling for xmGrace
project files. These are ascii-text files. I can add a new mime-type
for this (i.e. application/x-xmgrace, I couldn't find a pre-defined
one on the web) and give it a file-extension '.agr'. After doing this,
all *.agr files are still identified as text/plain and opened with
gedit. (I also tried using text/x-xmgrace but didn't make any difference)

Also tried editing /usr/share/mime-info/gnome.mime, gnome-vfs.mime and
/usr/share/mime/mime/magic but nothing seems to help.


Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always

Steps to Reproduce:
1. Save a text file with some custom file-extension
2. Add a custom mime-type for that file-extension
3. Attempt to assign a custom mime-handler for that file extension
    

Actual Results:  File is *always* identified as 'text/plain', whatever
the user does

Expected Results:  The file should now have been identified as the new
custom mime-type and handled appropriately

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:06:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ray Strode [halfline] 2005-05-11 17:32:28 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.